package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/UserLogonAction.class */
public class UserLogonAction extends LifeJDBCAction {
    private static final String FIELD_LANGUAGE = "logonLanguage";
    private static final String CSTNO_QUERY = "SELECT CIP_CSTNO FROM PB_CSTINF_PRO ";

    public String execute(Context context) throws GENEException {
        try {
            Context sessionCtx = getSessionCtx(context);
            sessionCtx.setDataValue("session_language", context.getDataValue(FIELD_LANGUAGE));
            String isSign = LifeStandard.getBankSettingsValue("signDataEnabled");
            sessionCtx.setDataValue("session_isSign", isSign);
            String logonType = (String) context.getDataValue("logonType");
            String querySql = CSTNO_QUERY;
            ArrayList<String> input = new ArrayList<>();
            if (logonType.equals("3")) {
                querySql = String.valueOf(querySql) + "WHERE CIP_CTFTYPE = ? AND CIP_CTFNO = ?";
                String certType = (String) context.getDataValue("certType");
                String certNo = (String) context.getDataValue("certNo");
                input.add(certType);
                input.add(certNo);
            } else {
                String in_logonInfo = (String) context.getDataValue("customerAlias");
                if (logonType.equals("0")) {
                    querySql = String.valueOf(querySql) + "WHERE CIP_ALIAS = ?";
                } else if (logonType.equals("1")) {
                    querySql = String.valueOf(querySql) + ",PB_ACCINF WHERE AIF_CSTNO=CIP_CSTNO AND AIF_ACCNO = ?";
                } else if (logonType.equals("2")) {
                    querySql = String.valueOf(querySql) + "WHERE CIP_CSTNO = ?";
                }
                input.add(in_logonInfo);
            }
            try {
                PreparedStatement statement = LifeDBAccess.getConnection(getDataSource()).prepareStatement(querySql);
                int inputSize = input.size();
                for (int i = 1; i <= inputSize; i++) {
                    statement.setString(i, input.get(i - 1));
                }
                ResultSet resultSet = statement.executeQuery();
                if (resultSet.next()) {
                    String customerId = resultSet.getString(1);
                    sessionCtx.setDataValue("customerId", customerId);
                    String passwordType = (String) context.getDataValue("passwordType");
                    sessionCtx.setDataValue("passwordType", passwordType);
                    return "0";
                }
                throw new TranFailException("EBPB0000", "用户不存在");
            } catch (SQLException ex) {
                throw new TranFailException("EBLN0000", ex);
            }
        } catch (GENEException e) {
            Trace.logError("LifeAction", "登录信息校验异常", e);
            throw e;
        }
    }
}
